GinqAstVisitor (Groovy 5.0.8)
Description: declaration: package: org.apache.groovy.ginq.dsl, interface: GinqAstVisitor

Package org.apache.groovy.ginq.dsl

# Interface GinqAstVisitor<R>

Type Parameters:
  `R` - the type of visit result

All Known Implementing Classes:
  `GinqAstBaseVisitor`

public interface GinqAstVisitor<R>
Represents the visitor for AST of GINQ

Since:
  4.0.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default Map<String,String>`
  `getConfiguration()`
  `default void`
  `setConfiguration(Map<String,String> configuration)`
  `R`
  `visit(AbstractGinqExpression expression)`
  `R`
  `visitFromExpression(FromExpression fromExpression)`
  `R`
  `visitGinqExpression(GinqExpression ginqExpression)`
  `R`
  `visitGroupExpression(GroupExpression groupExpression)`
  `R`
  `visitHavingExpression(HavingExpression havingExpression)`
  `R`
  `visitJoinExpression(JoinExpression joinExpression)`
  `R`
  `visitLimitExpression(LimitExpression limitExpression)`
  `R`
  `visitOnExpression(OnExpression onExpression)`
  `R`
  `visitOrderExpression(OrderExpression orderExpression)`
  `R`
  `visitSelectExpression(SelectExpression selectExpression)`
  `R`
  `visitShutdownExpression(ShutdownExpression shutdownExpression)`
  `R`
  `visitWhereExpression(WhereExpression whereExpression)`

- ## Method Details

  - ### visitGinqExpression

    R visitGinqExpression(GinqExpression ginqExpression)

  - ### visitFromExpression

    R visitFromExpression(FromExpression fromExpression)

  - ### visitJoinExpression

    R visitJoinExpression(JoinExpression joinExpression)

  - ### visitOnExpression

    R visitOnExpression(OnExpression onExpression)

  - ### visitWhereExpression

    R visitWhereExpression(WhereExpression whereExpression)

  - ### visitGroupExpression

    R visitGroupExpression(GroupExpression groupExpression)

  - ### visitHavingExpression

    R visitHavingExpression(HavingExpression havingExpression)

  - ### visitOrderExpression

    R visitOrderExpression(OrderExpression orderExpression)

  - ### visitLimitExpression

    R visitLimitExpression(LimitExpression limitExpression)

  - ### visitSelectExpression

    R visitSelectExpression(SelectExpression selectExpression)

  - ### visitShutdownExpression

    R visitShutdownExpression(ShutdownExpression shutdownExpression)

  - ### visit

    R visit(AbstractGinqExpression expression)

  - ### setConfiguration

    default void setConfiguration(Map<String,String> configuration)

  - ### getConfiguration

    default Map<String,String> getConfiguration()